Page MenuHomePhabricator

Refine team Evaluation Framework document
Closed, DeclinedPublicDec 30 2018

Description

The current framework needs to think more about the future. It seems to be currently geared toward short term goals. Build a solid version of it by mid October.

Details

Due Date
Dec 30 2018, 11:00 PM

Event Timeline

Elitre triaged this task as Normal priority.Sep 28 2018, 2:30 PM
Elitre created this task.
Elitre renamed this task from Refine team framework to Refine team Evaluation Framework document.Oct 2 2018, 10:11 AM
Qgil set Due Date to Dec 30 2018, 11:00 PM.Oct 9 2018, 9:48 AM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptOct 9 2018, 9:48 AM

There's been yet another update to the doc and yet another meeting with Dana and I'm not done yet. But she thinks we're on the right track so, success?

Qgil moved this task from Inbox to Started on the CommRel-Internals board.Oct 24 2018, 6:20 PM

I am not sure why there's an expiration date on this.
I think the framework may actually be improved once we've agreed on our middle term plan, which isn't due by EOY.
(Also, there's never an end to this kind of tasks. It's a working doc that may need upgrades at all times.)

(I used expiration dates for goals identified for this quarter, as a way to remember to edit something if these tasks go beyond the quarter. CommRel-Specialists-Support has quarterly boards that force a check every once in a while, but CommRel-Internals doesn't.)

Elitre closed this task as Declined.Mar 11 2019, 2:56 PM

It will make sense to look at something like this again once other pieces are actually in place.

Qgil moved this task from Started to Evaluated on the CommRel-Internals board.Mar 29 2019, 9:20 AM